// This file is necessary for typedefs due to how the Arduino IDE
// automatically generates function prototypes.

// A function pointer for executing display patterns from an array
// pt2Function is a pointer to a function with no arguments that returns void
typedef void (*pt2Function)();


// A function pointer for color setting callbacks
// callback is a pointer to a function which takes a pointer to an HSV structure that returns void
typedef void (*callback)(struct HSV *);

